Bug 859106 - UI - Missing Save/Cancel buttons in system change environment.
UI - Missing Save/Cancel buttons in system change environment.
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Jakub Hadvig
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 10:51 EDT by Hayk Hovsepyan
Modified: 2013-09-19 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of edit Environment subpanel. (85.94 KB, image/png)
2012-09-20 10:51 EDT, Hayk Hovsepyan
no flags Details

  None (edit)
Description Hayk Hovsepyan 2012-09-20 10:51:53 EDT
Created attachment 614947 [details]
Screenshot of edit Environment subpanel.

Description of problem:
When you have more than 5 environments (all of them have Library as prior) and try to change Environment in System's Info page, it does not show Save/Cancel buttons in edit Environment subpanel.
Please see it in attached screenshot.

Version-Release number of selected component (if applicable):
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Create more than 5 environments all of them having Library as prior.
2. Select one on registered systems in UI and try to edit Environment in System's Info page.
3. You will see that Save/Cancel buttons are not visible in subpanel, because there is not enough space.
  
Actual results:
Buttons are not visible.

Expected results:
There should be vertical scroll and buttons should be visible.
Comment 2 Mike McCune 2013-08-16 14:24:37 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Mike McCune 2013-09-19 14:16:05 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.